Payment batches & settlement

Check Signer Status

Name and signature indicate it checks signer status

GEThttps://api.toku.com/stablecoin-payroll/check-signer-status

Not available to API keys yet. It will need integrations:write.

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/check-signer-status' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "signerPublicKey": "string",
  "squadsVersion": "V3",
  "signerRoles": [
    "string"
  ],
  "requiredRoles": [
    "string"
  ],
  "missingRoles": [
    "string"
  ],
  "hasRequiredPermissions": true,
  "isSignerOnMultiSig": true,
  "members": [
    {
      "member": "string",
      "permissionsRaw": 0,
      "roles": "string",
      "almighty": true
    }
  ],
  "threshold": 0,
  "multisigAddress": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>

Response

200Successful response
signerPublicKeystringrequired
squadsVersionstring

Available options: V3, V4

signerRolesstring[]
requiredRolesstring[]
missingRolesstring[]
hasRequiredPermissionsboolean
isSignerOnMultiSigbooleanrequired
membersobject[]
Show child attributes
memberstringrequired
permissionsRawintegerrequired
rolesstringrequired
almightybooleanrequired
thresholdinteger
multisigAddressstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits